/* Overrides CSS default settings */
*{
    margin: 0;
    box-sizing: border-box;
}

/* Centering the page */
#page-wrapper{
    width: 80vw;
    margin: 0 auto;
}

/* Header starts */
header{
    display: flex;
    flex-direction: column;
    padding: 1vh 1vw;
    background-color: #809D3C;
    color: whitesmoke;
}
/* Header ends */

/* Font for Body */
body{
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
}

/* Two column container starts */
#container{
    width: 100%;
    display: flex;
    flex-direction: row;
    position: relative;
    background-color: #A9C46C;
}

nav{
    width: 30%;
}

nav ul{
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    background-color: antiquewhite;
    font-size: calc(2px + 2vw);
    text-align: center;
    list-style: none;
    padding-left: 0;
}

nav li{
    font-size: calc(2px + 2vw);
    width: 90%;
    background-color: antiquewhite;
    padding: 2vh 0;
    margin: 5vh auto;
}

nav a{
    text-decoration: none;
}

main{
    display: flex;
    flex-direction: column;
    width: 70%;
    background-color: #A9C46C;
}

main li{
    padding: 1vh 1vw;
    margin: auto 0.5vw;
}

#main-title{
    margin: 2vw 0;
    text-align: center;
    font-size: calc(2px + 2vw);
    color: whitesmoke;
}

#main-text{
    width: 100%;
    display: flex;
    align-self: center;
    flex-direction: column;
    padding: 2vh 2vw;
    margin: 1vh 1vw;
    font-size: calc(2px + 1.5vw);
}

footer{
    background-color: #809D3C;
    color: whitesmoke;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}

footer a{
    color: bisque;
}

/* Adjusting for smaller screen size */
@media screen and (max-width: 1000px){
    main{
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        background-color: #A9C46C;
    }
}

@media screen and (max-width: 750px){
    header{
        align-items: center;
    }

    #container{
        width: 100%;
        height: 100%;
        flex-direction: column;
    }

    nav{
        width: 100%;
    }

    /* Changing orientation of Navigation Bar */
    nav ul{
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        background-color: antiquewhite;
        list-style: none;
        padding-left: 0;
    }

    nav li{
        font-size: calc(2px + 1.5vw);
        background-color: antiquewhite;
        padding: 1% .5%;
        margin: 1% .5%;
    }

    main{
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        background-color: #A9C46C;
    }

    #main-title{
        text-align: center;
        color: whitesmoke;
    }

    #main-text{
        align-self: center;
        width: 100%;
        margin: 1vh 1vw;
    }
}


